## org.eclipse.datatools.modelbase.sql.routines
Interface RoutineResultTable

All Superinterfaces:
  SQLObject, Table

All Known Implementing Classes:
  RoutineResultTableImpl

    public interface RoutineResultTable

extends Table

A representation of the model object 'Routine Result Table'. Reference: 5WD-02-Foundation-2002-12 4.27 SQL-invoked routines

See Also:
  `SQLRoutinesPackage.getRoutineResultTable()`

Method Summary

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.